<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_device_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_100"
            android:layout_marginHorizontal="@dimen/dp_50"
            android:layout_marginVertical="@dimen/dp_20"
            android:background="@drawable/bg_stroke_layout_gray_rectangle_10"
            android:gravity="center"
            android:orientation="horizontal"
            android:padding="@dimen/dp_5">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_wendu" />

                <TextView
                    android:id="@+id/temperatureView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_5"
                    android:text="@string/temperature_unit"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_20" />
            </LinearLayout>

            <View
                android:layout_width="@dimen/dp_3"
                android:layout_height="match_parent"
                android:background="@color/mainBackColor" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_shidu" />

                <TextView
                    android:id="@+id/humidityView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_5"
                    android:text="%"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_20" />
            </LinearLayout>
        </LinearLayout>

        <TextView
            android:id="@+id/deviceStateView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:text="@string/app_name" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_20"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/batteryView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10" />

            <TextView
                android:id="@+id/batteryValueView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@drawable/bg_solid_layout_white_top_radius_10"
            android:orientation="vertical">

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tabLayout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_40"
                android:layout_marginHorizontal="@dimen/dp_40"
                android:layout_marginVertical="10dp"
                app:tabIndicatorColor="@color/orangeTextColor"
                app:tabIndicatorFullWidth="false"
                app:tabIndicatorHeight="3dp"
                app:tabSelectedTextColor="@color/mainTextColor"
                app:tabTextColor="@color/subTextColor" />

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/viewPager"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>